python-gitdb_2.0.3-1_all.deb


Advertisement

Description

python-gitdb - pure-Python git object database (Python 2)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-gitdb_2.0.3-1_all.deb
Package name python-gitdb
Package version 2.0.3
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/gitpython-developers/gitdb
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 45.48 KB
Installed size 217.00 KB
The GitDB project implements interfaces to allow read and write access to
git repositories. In its core lies the db package, which contains all
database types necessary to read a complete git repository. These are
the LooseObjectDB, the PackedDB and the ReferenceDB which are combined
into the GitDB to combine every aspect of the git database.
This package contains the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-gitdb_2.0.3-1_all.deb 2.0.3 all Ubuntu Universe
python-gitdb - - -

Requires

Name Value
python-smmap >> 2
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-gitdb -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-gitdb_2.0.3-1_all.deb
Source Package python-gitdb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gitdb deb package:
    # sudo apt-get install python-gitdb

Files

Path
/usr/lib/python2.7/dist-packages/gitdb/__init__.py
/usr/lib/python2.7/dist-packages/gitdb/base.py
/usr/lib/python2.7/dist-packages/gitdb/const.py
/usr/lib/python2.7/dist-packages/gitdb/exc.py
/usr/lib/python2.7/dist-packages/gitdb/fun.py
/usr/lib/python2.7/dist-packages/gitdb/pack.py
/usr/lib/python2.7/dist-packages/gitdb/stream.py
/usr/lib/python2.7/dist-packages/gitdb/typ.py
/usr/lib/python2.7/dist-packages/gitdb/util.py
/usr/lib/python2.7/dist-packages/gitdb/db/__init__.py
/usr/lib/python2.7/dist-packages/gitdb/db/base.py
/usr/lib/python2.7/dist-packages/gitdb/db/git.py
/usr/lib/python2.7/dist-packages/gitdb/db/loose.py
/usr/lib/python2.7/dist-packages/gitdb/db/mem.py
/usr/lib/python2.7/dist-packages/gitdb/db/pack.py
/usr/lib/python2.7/dist-packages/gitdb/db/ref.py
/usr/lib/python2.7/dist-packages/gitdb/test/__init__.py
/usr/lib/python2.7/dist-packages/gitdb/test/lib.py
/usr/lib/python2.7/dist-packages/gitdb/test/test_base.py
/usr/lib/python2.7/dist-packages/gitdb/test/test_example.py
/usr/lib/python2.7/dist-packages/gitdb/test/test_pack.py
/usr/lib/python2.7/dist-packages/gitdb/test/test_stream.py
/usr/lib/python2.7/dist-packages/gitdb/test/test_util.py
/usr/lib/python2.7/dist-packages/gitdb/utils/__init__.py
/usr/lib/python2.7/dist-packages/gitdb/utils/compat.py
/usr/lib/python2.7/dist-packages/gitdb/utils/encoding.py
/usr/lib/python2.7/dist-packages/gitdb2-2.0.3.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/gitdb2-2.0.3.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/gitdb2-2.0.3.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/gitdb2-2.0.3.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/gitdb2-2.0.3.egg-info/top_level.txt
/usr/share/doc/python-gitdb/changelog.Debian.gz
/usr/share/doc/python-gitdb/copyright

Changelog

2018-02-03 - TANIGUCHI Takaki <takaki@debian.org>
python-gitdb (2.0.3-1) unstable; urgency=medium
* Bump Standards-Vertion to 4.1.3
* debian/compat: 11
* New upstream version 2.0.3
2017-07-04 - TANIGUCHI Takaki <takaki@debian.org>
python-gitdb (2.0.2-1) unstable; urgency=medium
* New upstream version 2.0.2
* Bump Standards-Version to 4.0.0
2017-06-29 - Scott Kitterman <scott@kitterman.com>
python-gitdb (2.0.0-3) unstable; urgency=medium
* Team upload.
* Change binaries to arch:all and drop -dev build-depends as they are not
needed - package is pure Python, no compiled content
2017-01-03 - Ondřej Nový <onovy@debian.org>
python-gitdb (2.0.0-2) unstable; urgency=medium
* Team upload.
* Don't depend on python-smmap in Python3 package (Closes: #849997)
* Bumped debhelper compat version to 10
* Bumped Standards-Version to 3.9.8
* d/watch: Use https
* Enabled autopkgtest-pkg-python testsuite
* Run depend, not only build depend on python{,3}-smmap (>> 2)
* d/copyright: Added myself to Debian part
* d/control: Fixed description wording
* d/docs: Removed empty file
* Build depend on dh-python
2016-10-21 - Yaroslav Halchenko <debian@onerussian.com>
python-gitdb (2.0.0-1) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Mattia Rizzolo ]
* d/copyright: update copyright Format URL
[ Yaroslav Halchenko ]
* New upstream release
* debian/control
- depends on python-smmap >> 2
2015-11-25 - TANIGUCHI Takaki <takaki@debian.org>
python-gitdb (0.6.4-3) unstable; urgency=medium
[ SVN-Git Migration ]
* git-dpm config
* Update Vcs fields for git migration
[ TANIGUCHI Takaki ]
* debian/watch: Use pypy.debian.net.
* Support Python-3 (Closes: #778932)
2015-08-11 - Yaroslav Halchenko <debian@onerussian.com>
python-gitdb (0.6.4-2) unstable; urgency=medium
* Upload to unstable
2015-02-05 - Yaroslav Halchenko <debian@onerussian.com>
python-gitdb (0.6.4-1) experimental; urgency=medium
* New upstream release addressing failing tests on some platforms
* debian/rules
- don't ignore failed tests
2015-01-08 - Yaroslav Halchenko <debian@onerussian.com>
python-gitdb (0.6.3-1) UNRELEASED; urgency=medium
* New upstream release
* debian/{rules,control}
- enable build-time testing although ignore failures
- add git to build-depends to initiate a test repository
- python-nose, python-smmap to b-depends
- removing python-async from depends (not used any longer)
2014-12-17 - Yaroslav Halchenko <debian@onerussian.com>
python-gitdb (0.6.0-1) experimental; urgency=medium
* New upstream release
* debian/control
- bump standards-version to 3.9.6

See Also

Package Description
python-github_1.26.0-1_all.deb Access to full Github API v3 from Python2
python-gitlab-doc_1.3.0-2_all.deb Python 3 GitLab API client library - documentation
python-gitlab_1.3.0-2_all.deb Python GitLab API client library
python-glade2_2.24.0-5.1ubuntu2_i386.deb GTK+ bindings: Glade support
python-glare_0.4.1-3ubuntu1_all.deb OpenStack Artifact Repository - Python 2.7 library
python-glareclient-doc_0.5.2-0ubuntu1_all.deb Client library for Openstack glare server - doc
python-glareclient_0.5.2-0ubuntu1_all.deb Client library for Openstack glare server - Python 2.x
python-glob2_0.5-2_all.deb Enhanced glob module for Python
python-glue_0.9.1+dfsg-1_all.deb Python 2 library for data interaction
python-gmplot_1.1.1-1_all.deb matplotlib-like interface to plotting data with Google Maps
python-gmpy-doc_1.17-3_all.deb interfaces GMP to Python for fast, unbound-precision computations
python-gmpy2-common_2.0.8-2build3_all.deb interfaces GMP to Python for fast, unbound-precision computations
python-gmpy2-doc_2.0.8-2build3_all.deb interfaces GMP to Python for fast, unbound-precision computations
python-gmpy2_2.0.8-2build3_i386.deb interfaces GMP to Python 2 for fast, unbound-precision computations
python-gmpy_1.17-3_i386.deb interfaces GMP to Python for fast, unbound-precision computations
Advertisement
Advertisement